Bug 167441

Summary: LayoutTest media/modern-media-controls/placard-support/placard-support-airplay.html is a flaky timeout
Product: WebKit Reporter: Ryan Haddad <ryanhaddad>
Component: New BugsAssignee: Antoine Quint <graouts>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, graouts, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
See Also: https://bugs.webkit.org/show_bug.cgi?id=167442
Attachments:
Description Flags
Patch none

Comment 1 Antoine Quint 2017-01-30 11:59:12 PST
I'm not seeing any flakiness for this test in the last 3 days.
Comment 2 Antoine Quint 2017-01-31 03:02:05 PST
Committed r211425: <http://trac.webkit.org/changeset/211425>
Comment 3 Ryan Haddad 2017-02-10 11:06:26 PST
Still flaky
Comment 4 Ryan Haddad 2017-02-14 16:38:20 PST
Marked test as flaky again in http://trac.webkit.org/projects/webkit/changeset/212337
Comment 5 Antoine Quint 2017-02-28 15:54:10 PST
When I get this test to time out, I see this in media logging:

MediaElementSession::showPlaybackTargetPicker - returning early because element is not playable

This implies that the call to media.webkitShowPlaybackTargetPicker() doesn't succeed and the final assertions never run.
Comment 6 Radar WebKit Bug Importer 2017-02-28 16:10:10 PST
<rdar://problem/30770034>
Comment 7 Antoine Quint 2017-02-28 16:14:08 PST
Created attachment 303004 [details]
Patch
Comment 8 WebKit Commit Bot 2017-02-28 17:03:42 PST
Comment on attachment 303004 [details]
Patch

Clearing flags on attachment: 303004

Committed r213194: <http://trac.webkit.org/changeset/213194>
Comment 9 WebKit Commit Bot 2017-02-28 17:03:45 PST
All reviewed patches have been landed.  Closing bug.